EXP1803 - Developing #184

Analyzing # 183 (OTkpbiTa): Express analysis of experimental data

Kanv|6pau,m| TOHKOBO KpeMHeBOro getekrtopa
04/13/2018 05:09 AM - Vratislav Chudoba

Status: OTtkpbiTa Start date: 04/13/2018
Priority: HopmanbHbiii Due date: 04/16/2018
Assignee: % Done: 30%
Category: Software Estimated time: 0.00 hour
Target version:

Description

MonyynTh KanMBpOBOYHbIE MapameTpbl st 20 MUKPOHHOMO AeTekTopa. KanubpoBOoUHbIE M3MEPEHUst MPOBOAUNCH C UCTOYHIKOM
anbaa yactuy *°Ra.

WU3mepeHue 1:

McTo4YHUK OprEeHTMPOBaH K MOBEPXHOCTM AeTekTopa nog yrioM ~90° Ha paccTtosiHum 40 cm. s HEKOTOPbIX MKOB 0XWAAETCS
MPOCTPes TOHKOBO AEeTEeKTOpa U BblAENEHNE SHEPTUM B MUIUMETPOBOM AeTeKTope. 3anucbiBanvch ABa Tpurepa:

1. 0T TOHKOBO cnos - 1
2. 0T MUIMETPOBOro AeTekTopa - 3.

thann:

159.93.80.161:/home/LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/calib/si_20_03_*.Imd

WUamepeHue 2:

MNcTouHmK Ha paccTosiHm 40 cm OT TOHKOrO AeTEeKTOpa OPUEHTUPOBAH MOA YT/IOM NPUMEPHO 58°, 4Tobbl 06ecneynTb NOMHY0
OCTaHOBKY Tpex MUKOB B MEpPBOM CJ0I0. VIaMepeHune 3anucaHo B doaiine

159.93.80.161:/home/LynxOS/mbsusr/mbsdag/mbsrun/exp201804/data/calib/si_20_04_*.Imd

History

#1 - 04/13/2018 05:13 AM - Vratislav Chudoba

- Description updated

#2 - 04/13/2018 06:44 AM - Vratislav Chudoba
- File sqx_I_ec.clb added

- Description updated

W3mepeHue 1:
Kanubposatb 6yaeT CNoxHo.
Ha kapTuHKe BUAMM COOTHOWEHME Tpurepos (1 1 3), MHOXECTBEHHOCTb CpaboTaBLmnX CTPMMOB B 1 MM oeTekTope (Mpu ycnosuu ochnaiH nopora

0.2 MaB ans kaxaoro cTpuna) n CyMMapHyo 3Hepruto no BceM ctpunam (kanubpauus nposeneHa ¢ NoMoLbio gaina, KoTopblid MCNoNb30Bancs BO
BPEMS 9KCMepuUMeHTa ONs OHNaviH NPOCMOTPa, CM. NPUKPeneHHbli dainn sgx_|_ec.clb ).
http://er.jinr.ru/develop/attachments/download/190/sqx_l_ec.clb

first_calib_20_info.png

Mocne oTceyeHuns ocpnaviH NOPOros B CTpMNax TOHKOBO AeTekTopa (ans kaxaoro 120 kananos ALIM) BMAUM MU3EPHYIO CTATUCTWKY ONS
npoBeneHNs Kanmbpoekm (0kono 1800 hnanyeckmx cobbiTui B CTPMME) U O4EHb NMNOX0 Pa3feneHHbIe NUKK.
first_calib_20_strips.png

TeKCT

#3 - 04/13/2018 06:45 AM - Vratislav Chudoba

- Description updated

#4 - 04/15/2018 11:15 PM - Ivan Muzalevsky
- File parforcal.txt added

- File calPar.txt added

- File instruction.pdf added

#5 - 04/22/2018 05:25 PM - lvan Muzalevsky
- % Done changed from 0 to 30

Onsa nony4yeHuns MépTBOI’O Cnosa nenanocb cnepytouee:

1) Haxoamnucb KanubpoBoYHbIE MapaMeTpbl Ans TPEX NMKOB anbda YacTul, B AaHHbIX, COBpaHHbIX npu 061yyeHnn 20 MK AeTekTopa nog yrnom 58
rpanycos.

HaxoounTtb NonoXxeHus Tpéx NMKOB NMPUWOCh BPYYHYIO, HE NCMONb3Ys NporpamMMy aBToMaTmyeckoin kanmbposku AculUtils, ns-3a Manoi ctatucTukm
1 CNOXHOCTW BblAENEHUS NKOB 13 ocTanbHoro 3abopa. Mpy onpeaeneHnn No3nLMm NMKOB y4nThiBanach, 4To BCe TPM NiKa BO BCEX KaHanax
nexar NpuMepHO OLHWX N TeX Xe AnanasoHax.

SQ20%280-7%29.png
SQ20%288-15%29.png

W3 kapTMHOK BUIHO, 4TO TPW NKA MOXHO HabntoaaTh TONbKO B MEPBbIX 14 cTpMnax, BEPOSTHO, YTO NOCNeAHNe 4Ba CTMPNa NPoCTPeNBanich
anboit ¢ sHepruein 6.0024 [MaB], Tak kak Ons HUX yrof, OTHOCUTENBHO KOTOPOro 6bino npousseneHo obnyyeHve 6bin caMbliM ManeHbKMUM, No
OTHOLIEHMIO K OCTalbHbIM B CU/y 3aKOHOB FreOMeTpUI. COOTBETCTBEHHO, 1 ANMHA MaTepuana, Yepes KoTopblli OHW npoberanu 6bin MeHblue.

C nomoubto AculUtils 66110 nocuntaHo, 4To AnvHa npobera anbga YacTuubl ¢ aHepruein 6.0024 MaB pasHa 33.1811 MUKPOH. ( TOYHOCTb paccyéTa
npvemnumas. B xopowem cornacunm ¢ LISE)

YunTbiBas, 4TO WMPMHA N3YyHaeMOro LeTekTopa 6 cM, 6bIN0 paccyMTaHo, HTO MUHUMANbHBIA Yron, NOL KOTOPbLIM anbda YacTuubl BNeTaT B
MaTtepuan netektopa ~55 rpagycos. [py Takol TpaekTopum anbga YacTuua npoxoanT yepes 35 MUKPOH KpeMHus. BennunHa, 6nmuska k 33, k Tomy
Xe, HE YYUTbIBANOCh MPOCTPAHCTBEHHOE Pa3MbITME CTOYHMKA anbgda YacTuL, NOTEPH B 3aLUMTHON KOPOBOYKE UCTOYHNKA...

2) Ons kannbposku Bpanvce cnenyolwme sHeprum anbga JyacTu, : 4.7843, 5.48948, 6.0024 [MaB] (
http://www.khlopin.ru/docs/products/source/E_OSAl.pdf).
Lnsi HUX 661N NonyYeHbl NpeaBapuTeNbHble KanMbpPoBoYHbIe NapameTpsl (preCalPar.txt).

Ha kapTuHke npencTaBneHbl NUHeHble (OUTHLI MO TPEM TOYKaM ( Mbl He YYMTLIBANM NbedecTan, He yuuTbiBanu Touky (0,0), aenanm Kanmbposky
TONMbKO MO TPEM nuKam)

fitSQ44.png

3) C nomoLubto aTux napameTpoB 1 NONOXEHUA NNKOB, HANLOEHHbLIX B NMYHKTE 1, 661K nepecynTaHbl 3Heprmm TpéX anb@a YacTuy 4ng Tex xe
CaMbIX OaHHbIX ON4 KaXnoro crtpuna. (STVI MenKune nonpaskny B KOHUE paCCHéTOB OarT 0OCTAaTO4YHO CyIJ.leCTBeHHbII7I BKJ'Ia,EI,)

4) Onst naHHbIX, coBpaHHbIX Nog Hyném rpadycos, 6b1n10 06HaPYXeHO, YTO eANHCTBEHHDIA MK, COOTBETCTBYET €ANHCTBEHHON HEMPOCTPENEHHOI
anbge ¢ MUHMManbHol aHeprueit. Bbino obHapyXeHo, 4To coBbITUS, 3anoNHAWMe 3TOT MUK He JAIOT CUrHana B 1-MM LeTekTope, 4T0 He
CMpaBenMBO At OCTasbHbIX COBbITWIA. TakXeb biNo paccunMTaHo, 4To AnvHa npobera anbga YactuLbl ¢ aHeprueit 4.7843 MaB pasHsieTcs 23.9217
MUKPOH (TakXXe He y4nTbiBaloTCSt HEKOTOpbIe noTepwn).

Haxonunocb nonoxexune nuka B kaHanax. boino o6HapyxeHo, 4To Nk HabmopaeTca B cTpunax ¢ 2 no 11. MonoxeHne nrka TakXke HaxoAMnoch
BPY4HY!O.
http://www.khlopin.ru/docs/products/source/E_OSAI.pdf

SQ20_0%280-7%29.png

SQ20_0%288-15%29.png
5) C nomoubto kanmbpoBoyHbix NapameTpoBs (preCalPar.txt), nonyyanocb 3Ha4yeHue sHeprum anbgbl, COOTBETCTBYIOWEN STOMY MUKY.

6) N3 cpenHei pasHuubl SHepruii ons anbbl, B USMEPEHNSX Mo HYNéM 1 noh 58 rpaaycos BbiCHMTHIBANOCH pasHuLa LavH npobera anbga 4YacTul
1, COOTBETCTBEHHO 3HAYeHUe ToMNWmMHbI MEPTBOro cnost. Kotopoe okazanoch pasHo  0.519412 MkM

7) C NOMOLLbIO paccHMTaHHOrO MEPTBOrO CMOS, BICHATHIBANMCH MOMPABKM K 3HeprusM Tpéx anbda yactuu,.

I_IOJ'Iy'-IeHHbIe QHEeprumn: 4.71199, 5.42139 n 5.93722 MaB. C HOBbIUM 3HePrusMu Bbinn paccunTaHbl OKOHYATENbHbIE, HA LaHHbIA MOMEHT,
kannbposoyHble napameTpbl (SQ20_58.cal). JInHerHbIA OWTbI BBIFNSAENN NPUMEPHO TaKXe Kak v Mpu NonyYeHnn npeaBapuTenbHbIX napameTpos.

BCe paccyéThbl MpeacTaBneHbl 30ecb. UCT B Tabnuue
SQ20 : https://docs.google.com/spreadsheets/d/1RjBBLo_H3SWNhnWMjvQQSxE3np8uQBSFwvwXzX3idto/edit?usp=sharing
#6 - 04/24/2018 05:27 PM - Ivan Muzalevsky
- File deleted (parforcal.txt)

#7 - 04/24/2018 05:27 PM - lvan Muzalevsky
- File deleted (calPar.txt)

#8 - 04/24/2018 05:28 PM - Ivan Muzalevsky
- File deleted (instruction.pdf)

#9 - 04/24/2018 06:44 PM - Vratislav Chudoba

Mocne oueHKM NepefHero MEPTBOrO CNOSt B TOHKOM LETEKTOPE MOXHO NPEeAnoI0XNTb, YTO 3a4HUIA MePTBbIi Coi BydeT Takomn xe.

C aHeprmsiMmn nonpasneHHbIMU Ha TOMNILMHY MePTBOro ¢ios (nog yrnom 6ynet apdekT1BHAS TONWMHA OTANYATLCS) NMONMYYNTb OKOHYaTENbHbIe
KanMbpoBoYHble NapameTpbl TOHKOro feTeKTopa Ha OCHOBE U3MEPEHWIA MO YroM (TaMm, rae BUAHbI TPU NUKa).

Jlenaem cnenyiowwve ynpoueHns:

1. TONWMHY MepTBOro cnosi 6epem oAHOPYLHYIO MO BCEW Nnolwanu aeTektTopa
2. MOMpaBKy SHepruiii Aenaem OAMHAKOBYIO (B 3aBMCMMOCTY OT CPeAHEero yria) 4Jisi BCex CTPpUros

Mposepky KannbpoBKM MOXHO cAenaTh Cneaylowmm o6pasoM: BLIBOAUM KapTVHKY CHIMMBI AEM03UTa B TOHKOM 1 Ieno3nTa B TONCTOM AeTEeKTOope U
LONXHbI yBUAETH 4 Nka cooTsecTylowme “°Ra Ha cBoux MecTax.

#10 - 04/25/2018 10:59 AM - lvan Muzalevsky
- File preCalPar.txt added

#11 - 04/25/2018 11:13 AM - Ivan Muzalevsky
- File SQ20_58.cal added

#12 - 04/25/2018 12:09 PM - lvan Muzalevsky
- File filltmm.C added

Vratislav Chudoba wrote:
Mocne oLeHKM NEPEeNHEro MEPTBOrO CNOSI B TOHKOM AeTEKTOPE MOXHO NPEANON0XMUTb, YTO 3aHUI MEPTBLIN Cnoit ByaeT Takoi Xe.

C 3HeprvsiMy NonpaBneHHbIMU Ha TONWWHY MEPTBOTO cos (MoA yrnoM 6yneT apPeKTUBHAS TOMWMHA OTIMYATLCS) MOYYNTb OKOHYaTENbHbIE
KanuBpoBOYHbIE NapaMeTpbl TOHKOTO AETEKTOpa Ha OCHOBE U3MEPEHWUiA MOA yriom (Tam, rae BUAHbI TPY NUKa).

Denaem cnegyowye ynpoweHus:

1. TONWWHY MepTBOro cnosi 6epem oaHOPYLHYIO MO BCEM NoWanm aeTektopa
2. MonpaBKy aHepruii aenaem oAMHaKoBYHO (B 3aBUCUMMOCTYW OT CPedHero yrna) 4ns BCex CTpUros

I'IposepKy KaﬂMGpOBKI/I MOXHO caenaTtb cnegyrounm 06pa30M: BblBOONM KapPTWHKY CbIMMbl 0eno31nTa B TOHKOM 1 Oeno3nTta B TONICTOM
OeTeKTope N OONXKHbl YyBUOETb 4 nuka cooTBecTByOWMNe 226Ra Ha CBOUX MecCTax.

MonbiTancs NPOBEpUTL Tak, Kak Bbl ONUCANM (METOA 3aMn0/IHEeHUs epeBbEeB MOXHO yBUaeTb B Makpoce filltmm.C), nonyuun cnenyowyio KapTUHKY:
summEdep.png

#13 - 05/08/2018 10:06 AM - Ivan Muzalevsky

lvan Muzalevsky wrote:
Vratislav Chudoba wrote:
Mocne oueHKM NepefHero MEPTBOro CN0Si B TOHKOM LETEKTOPE MOXHO MPeAnonoXunTb, YTO 3aA4HUIA MEPTBLIA Cnoli ByneT Takoin Xe.

C aHeprvsiMv NonpaBneHHbIMU HA TONIWWHY MEPTBOTO crnosi (Mo4 yrnoM 6yaeT apPeKTUBHAS TOMWMHA OTIMYATBLCS) MONY4YnTb
OKOHYaTeNbHble KanMBpOoBOYHbIe NapaMeTpsl TOHKOro AEeTeKTOpa Ha OCHOBE M3MEePEHWii Mo YrioM (Tam, rae BUAHbLI TPY Nuka).

Jenaem cnegyowpme ynpoweHus:

1. TONWWHY MepTBOro cnosi 6epem ogHOPYAHYIO MO BCEl NowWanm aeTektopa
2. MonpaBKy 9Hepruii aenaem oavMHaKoBYyHO (B 3aBUCUMMOCTW OT CPeAHEero yrna) 4ns BCex CTPUMNos

Mposepky KanMBpOBKM MOXHO CAeNaTh CledylolM o6pasoM: BbIBOAUM KAPTUHKY CHIMMBI A€MNO3MTa B TOHKOM W [eno3nTa B TONCTOM
[ETEKTope U JONXHbI yBUOeTh 4 nuka cooTeecTBylowme 22°Ra Ha cBoux MecTax.

MonbiTancs npoBepuTb Tak, Kak Bbl onucanu (MeToq 3anofiHEHNS AEPEBLEB MOXHO yBuAeTb B Makpoce fillimm.C), nonyynn cnenytowyio
KapPTUHKY:
summEdep.png

Bcé BepHo, nonyyan ToyHo Takyto xe. Bpone 6bl Mbl nnyHO 910 06cyx aanu. Tak Kak s He yBUIOEN HOPManbHble 4 MVKa, He cTan aTo cloaa
BbIK/N1a4blBATb.

#14 - 05/10/2018 05:34 PM - lvan Muzalevsky
- File SQ20_58(14).cal added

daiin ¢ KanMbpPOBOYHbLIMM NapaMeTpamy Obin NPUBELEH K gO4-OBCKOMY BuaY.

#15 - 06/04/2018 12:36 PM - lvan Muzalevsky

From the data obtained in meauserements described in task 197 dead layer was calculated. calculations was
made https://docs.google.com/spreadsheets/d/1 RjBBLo_H3SWNhnWMjvQQSxE3np8uQBSFwvwXzX3idto/edit#gid=38392088 on the page

Si20_new. calculated dead layer is about 0,864403939 um. Data from strips 3-6 were taken into account for calculations.
http://er.jinr.ru/develop/issues/197

Using dead layer calibration parameters were calculated. data from 60 deg meausrements was used for this.

Linear calibration was made using 3 points. 3 peak positions in raw spectra was determined using TScectrum methods (showpeaks, getX position of
polimarker). This time usual method of fitting gaus function was not used.

For different strips different effective value of dead layer was used (different strips were at different angles).

linear fits were looked pretty nice.

calibration parameters are written into SQ20_may18.cal

Same algorithm of calibration was used for 45 deg data (see task 197). The difference between new 45 deg calibration parameters and 60 deg pars
was less than 5%. This error is considered as acceptable at the moment.

#16 - 06/04/2018 03:26 PM - lvan Muzalevsky
- File SQ20_may18.cal added

Files

sgx_|_ec.clb 605 Bytes 04/13/2018 Vratislav Chudoba
preCalPar.txt 248 Bytes 04/25/2018 Ivan Muzalevsky
SQ20_58.cal 255 Bytes 04/25/2018 lvan Muzalevsky
fillimm.C 2.68 KB 04/25/2018 Ivan Muzalevsky
SQ20_58(14).cal 266 Bytes 05/10/2018 lvan Muzalevsky
SQ20_may18.cal 289 Bytes 06/04/2018 lvan Muzalevsky
